### Method

# Xdp Portal session_inhibit_finish

#### Declaration [src]

    int
    xdp_portal_session_inhibit_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the inhbit request.

Returns the ID of the inhibition as a positive integer. The ID can be passed to `xdp_portal_session_uninhibit()` to undo the inhibition.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `int`
| The ID of the inhibition, or -1 if there was an error.